| Version: 3.1.5

Public Member Functions | Static Public Member Functions | List of all members
wxDateTime::TimeZone Class Reference

`#include </home/Hamis/wxwidgets-3.1/wxWidgets3.1-3.1.5-1.i686/src/wxWidgets-3.1.5/interface/wx/datetime.h>`

## Detailed Description

Class representing a time zone.

The representation is simply the offset, in seconds, from UTC.

## Public Member Functions
| TimeZone (TZ tz)
| Constructor for a named time zone. More...
| TimeZone (long offset=0)
| Constructor for the given offset in seconds. More...
bool | IsLocal () const
| Return true if this is the local time zone. More...
long | GetOffset () const
| Return the offset of this time zone from UTC, in seconds. More...

## Static Public Member Functions
static TimeZone | Make (long offset)
| Create a time zone with the given offset in seconds. More...

## Constructor & Destructor Documentation

## ◆ TimeZone() [1/2]

wxDateTime::TimeZone::TimeZone | ( | TZ | tz | ) |

Constructor for a named time zone.

## ◆ TimeZone() [2/2]

wxDateTime::TimeZone::TimeZone | ( | long | offset = `0` | ) |

Constructor for the given offset in seconds.

## Member Function Documentation

## ◆ GetOffset()

long wxDateTime::TimeZone::GetOffset | ( |  | ) | const

Return the offset of this time zone from UTC, in seconds.

## ◆ IsLocal()

bool wxDateTime::TimeZone::IsLocal | ( |  | ) | const

Return true if this is the local time zone.

This method can be useful for distinguishing between UTC time zone and local time zone in Great Britain, which use the same offset as UTC (i.e. 0), but do use DST.

Since
  3.1.1

## ◆ Make()

static TimeZone wxDateTime::TimeZone::Make | ( | long | offset | ) |
| static

Create a time zone with the given offset in seconds.